SCRIPTLIVE(1)

NUME
scriptlive - rulează din nou transcrierile sesiunii, folosind informații de sincronizare

REZUMAT

scriptlive fișier-sincronizare transcrierea

DESCRIERE

Acest program rulează din nou o transcriere, utilizând informațiile transcrise de la intrarea standard și cele de sincronizare(de timp) pentru a se asigura că datele de intrare se produc în același ritm cu cel în care au apărut inițial când a fost înregistrată transcrierea.

Sesiunea este executată într-un pseudo-terminal nou creat cu $SHELL-ul utilizatorului (sau, în mod implicit, /bin/bash).

Aveți grijă! Transcrierea poate conține comenzi arbitrare. Se recomandă utilizarea „scriptreplay --stream in --log-in typescript(transcrierea)” (sau cu --log-io în loc de --log-in) pentru a verifica transcrierea înainte ca aceasta să fie executată de scriptlive.

Informațiile de sincronizare sunt cele pe care script(1) le transmite în fișierul specificat prin --log-timing. Transcrierea trebuie să conțină informații de la intrarea standard și este ceea ce script(1) transmite în fișierul specificat de --log-in sau --log-io.

OPȚIUNI

-I, --log-in fișier
    Fișierul care conține datele de intrare ale terminalului script.

-B, --log-io fișier
    Fișierul care conține ieșirea și intrarea terminalului script.

-E, --echo când
    Această opțiune controlează fanionul ECHO pentru capătul sclav al pseudo-terminalului sesiunii. Modurile acceptate sunt always (întotdeauna), never (niciodată) sau auto.

    Valoarea implicită este auto - caz în care ECHO este activat. Acest comportament implicit poate fi modificat.

-t, --timing fișier
    Fișierul care conține ieșirea cronologică (de sincronizare) a script. Această opțiune înlocuiește argumentul pozițional fișier-sincronizare.

-T, --log-timing fișier
    Un alias pentru opțiunea -t, menținută pentru compatibilitate cu opțiunile din linia de comandă script(1).

-d, --divisor număr
    Accelerează redarea care se afișează, acest număr de ori. Argumentul este un număr în virgulă mobilă. Se numește divizor pentru că împarte cronometrările cu acest factor. Această opțiune înlocuiește argumentele de tip vechi.

-m, --maxdelay număr
    Stabilește întârzierea maximă între actualizări la număr de secunde. Argumentul este un număr în virgulă mobilă. Acest lucru poate fi utilizat pentru a evita pauzele lungi în reluarea transcrierii.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

EXEMPLE

    % script --log-timing file.tm --log-in script.in
    Scriptul a fost inițiat, fișierul este script.out
    % date
    <etc, etc>
    % exit
    Scriptul s-a executat, fișierul este script.out
    % scriptlive --log-timing file.tm --log-in script.in

AUTORI

DREPTURI DE AUTOR

Drepturi de autor © 2019 Karel Zak

Acesta este software liber; consultați sursa pentru condițiile de copiere. NU există NICIO garanție; nici măcar pentru COMERCIALIZARE sau POTRIVIRE PENTRU UN ANUMIT SCOP.

Publicat sub licența publică generală GNU, versiunea 2 sau o versiune ulterioară.

CONSULTAȚI ȘI

script(1), scriptreplay(1)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda scriptlive face parte din pachetul util-linux care poate fi descărcat de la